Subject: Re: partition the work

From: Zheng Gengbing <[email-masked]>
Date: Sun, 5 May 1996 16:51:26 +0800 (EAT)

On Sat, 4 May 1996, Guansong Zhang wrote:

> In this letter, I suggest how we partition the work among us before the demo.
> 
> 
> 1. PKU, I hope you can spend two more days working on yacc rules in hpf2dep.
> 
> >From the testing results we see that only a few statements need to be commented
> out.
> 
> here is a list, and my comments:
> 
> % grep zgs *.f90
> 
> test1.f90: !zgs CHARACTER * (2), obj10
> 
> This is generated from rule 507 and 508, not 501 as considered by HIT. Let it
> pass if you can.

	It's difficult to let it pass .I have tried but failed . we must
rewrite the rule of type_declaration

>
> test1.f90:!zgs  EXTERNAL fun6
> 
> We may leave this as a limitation.
>

	It's ok now.

> test1.f90:!zgs for 1.40  COMMON /com1/ var1 (2), var2, /com2/ var3
> I am not sure about this. You should check it carefully, this is passed by IBM
> and 1.34.
> 

	It's ok now .

> test1.f90:!zgs DATA var15, (var16 (var20), var17 (var20) % cmp12, &
> 
> Check this please.
>

	We have this misunderstanding that if a variable is delacred type ,
we cannot decalred it any more. So these bugs are all caused by this .
I have do some modification .

 
> test1.f90: !zgs var105 => fun12 ()
> 
> Add this if you can
>

	It's ok now.

> test1.f90:  !zgs DATA var140 /0/
> 
> Check this please
>

	That's because like format stmt , data stmt can appeared both in 
specification part anf executable part . Now we put it in spec part .

> test1.f90:  !zgs ENTRY ent1 (dum20, dum21) RESULT (res7)
> test1.f90:  !zgs ENTRY ent2 () RESULT (res4)
> test1.f90:  !zgs ENTRY ent4 (dum25)
> test1.f90:!zgs  ENTRY ent5 ()
> test1.f90:  ! zgs ENTRY ent6
> 
> HIT offer a method to deal with this, see if you can merge it, if not, consider
> it as a limitation.
>

	It 's ok now . I still donot know the modification of HIT .
 
> testh.f90:!zgs for 1.40 LOGICAL var15 (2) = .TRUE.
> testh.f90:!zgs for 1.40 LOGICAL var17 (2) = .TRUE.
> 
> I will ask the developer of the test on monday if you sure it is a mistake. But
> 1.34 pass this, just as a reminder.

	Semantic error !

> 
> testh.f90:!HPF$  SEQUENCE :: var2, /com1/ !zgs
> testh.f90:!HPF$  SEQUENCE var3  !zgs
> testh.f90:!HPF$  NO SEQUENCE :: var4 !zgs
> testh.f90:!HPF$  NO SEQUENCE var5  !zgs
> testh.f90:  FORALL (idx4 = 1: 2) !zgs (idx4 = 1, 2)
> 
> The above all are mistakes of the developer. He admitted it.
> 
> history.f90:!zgs         format ( / ' ', 'Number ', i2.2 / )
> isoweight.f90:             /, ' ', '------------ ------ ------ --------- ', &
>  !zgs
> 
> Check this please, I need to add a "," after "/" in the second statment.
>

	The rule require there should be COMMA , it need greate work to
rewrite the rule .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************